import React from 'react';
import { Flexbox, Typography } from '../..';
import { ContainerLabel, StyledFlexbox, StyledTypography } from './TagChip.styled';
export var TagChip = function TagChip(_ref) {
  var label = _ref.label,
    _ref$icon = _ref.icon,
    icon = _ref$icon === void 0 ? null : _ref$icon;
  if (icon) {
    return React.createElement(ContainerLabel, null, React.createElement(Flexbox, {
      container: true,
      direction: "row",
      gap: 1,
      alignItems: "center"
    }, icon && React.createElement(StyledFlexbox, {
      item: true
    }, icon), label && React.createElement(Typography, {
      color: "inherit",
      type: "secondary",
      weight: "bold",
      lineHeight: "inherit"
    }, label)));
  }
  return React.createElement(ContainerLabel, null, React.createElement(Flexbox, {
    container: true,
    alignItems: "center"
  }, React.createElement(StyledTypography, {
    color: "inherit",
    type: "secondary",
    weight: "bold"
  }, label)));
};